/* This file was generated by SableCC (http://www.sablecc.org/). */

package ru.amse.baltijsky.javascheme.io.importer.sablecc.java14.lexer;

import ru.amse.baltijsky.javascheme.io.importer.sablecc.java14.node.*;

import java.io.BufferedInputStream;
import java.io.DataInputStream;
import java.io.IOException;
import java.io.PushbackReader;

@SuppressWarnings("nls")
public class Lexer {
    protected Token token;
    protected State state = State.INITIAL;

    private PushbackReader in;
    private int line;
    private int pos;
    private boolean cr;
    private boolean eof;
    private final StringBuffer text = new StringBuffer();

    @SuppressWarnings("unused")
    protected void filter() throws LexerException, IOException {
        // Do nothing
    }

    public Lexer(@SuppressWarnings("hiding")PushbackReader in) {
        this.in = in;
    }

    public Token peek() throws LexerException, IOException {
        while (this.token == null) {
            this.token = getToken();
            filter();
        }

        return this.token;
    }

    public Token next() throws LexerException, IOException {
        while (this.token == null) {
            this.token = getToken();
            filter();
        }

        Token result = this.token;
        this.token = null;
        return result;
    }

    protected Token getToken() throws IOException, LexerException {
        int dfa_state = 0;

        int start_pos = this.pos;
        int start_line = this.line;

        int accept_state = -1;
        int accept_token = -1;
        int accept_length = -1;
        int accept_pos = -1;
        int accept_line = -1;

        @SuppressWarnings("hiding") int[][][] gotoTable = Lexer.gotoTable[this.state.id()];
        @SuppressWarnings("hiding") int[] accept = Lexer.accept[this.state.id()];
        this.text.setLength(0);

        while (true) {
            int c = getChar();

            if (c != -1) {
                switch (c) {
                case 10:
                    if (this.cr) {
                        this.cr = false;
                    } else {
                        this.line++;
                        this.pos = 0;
                    }
                    break;
                case 13:
                    this.line++;
                    this.pos = 0;
                    this.cr = true;
                    break;
                default:
                    this.pos++;
                    this.cr = false;
                    break;
                }

                this.text.append((char) c);

                do {
                    int oldState = (dfa_state < -1) ? (-2 - dfa_state) : dfa_state;

                    dfa_state = -1;

                    int[][] tmp1 = gotoTable[oldState];
                    int low = 0;
                    int high = tmp1.length - 1;

                    while (low <= high) {
                        int middle = (low + high) / 2;
                        int[] tmp2 = tmp1[middle];

                        if (c < tmp2[0]) {
                            high = middle - 1;
                        } else if (c > tmp2[1]) {
                            low = middle + 1;
                        } else {
                            dfa_state = tmp2[2];
                            break;
                        }
                    }
                } while (dfa_state < -1);
            } else {
                dfa_state = -1;
            }

            if (dfa_state >= 0) {
                if (accept[dfa_state] != -1) {
                    accept_state = dfa_state;
                    accept_token = accept[dfa_state];
                    accept_length = this.text.length();
                    accept_pos = this.pos;
                    accept_line = this.line;
                }
            } else {
                if (accept_state != -1) {
                    switch (accept_token) {
                    case 0: {
                        @SuppressWarnings("hiding") Token token = new0(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 1: {
                        @SuppressWarnings("hiding") Token token = new1(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 2: {
                        @SuppressWarnings("hiding") Token token = new2(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 3: {
                        @SuppressWarnings("hiding") Token token = new3(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 4: {
                        @SuppressWarnings("hiding") Token token = new4(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 5: {
                        @SuppressWarnings("hiding") Token token = new5(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 6: {
                        @SuppressWarnings("hiding") Token token = new6(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 7: {
                        @SuppressWarnings("hiding") Token token = new7(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 8: {
                        @SuppressWarnings("hiding") Token token = new8(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 9: {
                        @SuppressWarnings("hiding") Token token = new9(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 10: {
                        @SuppressWarnings("hiding") Token token = new10(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 11: {
                        @SuppressWarnings("hiding") Token token = new11(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 12: {
                        @SuppressWarnings("hiding") Token token = new12(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 13: {
                        @SuppressWarnings("hiding") Token token = new13(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 14: {
                        @SuppressWarnings("hiding") Token token = new14(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 15: {
                        @SuppressWarnings("hiding") Token token = new15(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 16: {
                        @SuppressWarnings("hiding") Token token = new16(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 17: {
                        @SuppressWarnings("hiding") Token token = new17(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 18: {
                        @SuppressWarnings("hiding") Token token = new18(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 19: {
                        @SuppressWarnings("hiding") Token token = new19(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 20: {
                        @SuppressWarnings("hiding") Token token = new20(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 21: {
                        @SuppressWarnings("hiding") Token token = new21(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 22: {
                        @SuppressWarnings("hiding") Token token = new22(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 23: {
                        @SuppressWarnings("hiding") Token token = new23(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 24: {
                        @SuppressWarnings("hiding") Token token = new24(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 25: {
                        @SuppressWarnings("hiding") Token token = new25(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 26: {
                        @SuppressWarnings("hiding") Token token = new26(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 27: {
                        @SuppressWarnings("hiding") Token token = new27(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 28: {
                        @SuppressWarnings("hiding") Token token = new28(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 29: {
                        @SuppressWarnings("hiding") Token token = new29(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 30: {
                        @SuppressWarnings("hiding") Token token = new30(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 31: {
                        @SuppressWarnings("hiding") Token token = new31(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 32: {
                        @SuppressWarnings("hiding") Token token = new32(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 33: {
                        @SuppressWarnings("hiding") Token token = new33(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 34: {
                        @SuppressWarnings("hiding") Token token = new34(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 35: {
                        @SuppressWarnings("hiding") Token token = new35(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 36: {
                        @SuppressWarnings("hiding") Token token = new36(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 37: {
                        @SuppressWarnings("hiding") Token token = new37(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 38: {
                        @SuppressWarnings("hiding") Token token = new38(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 39: {
                        @SuppressWarnings("hiding") Token token = new39(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 40: {
                        @SuppressWarnings("hiding") Token token = new40(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 41: {
                        @SuppressWarnings("hiding") Token token = new41(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 42: {
                        @SuppressWarnings("hiding") Token token = new42(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 43: {
                        @SuppressWarnings("hiding") Token token = new43(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 44: {
                        @SuppressWarnings("hiding") Token token = new44(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 45: {
                        @SuppressWarnings("hiding") Token token = new45(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 46: {
                        @SuppressWarnings("hiding") Token token = new46(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 47: {
                        @SuppressWarnings("hiding") Token token = new47(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 48: {
                        @SuppressWarnings("hiding") Token token = new48(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 49: {
                        @SuppressWarnings("hiding") Token token = new49(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 50: {
                        @SuppressWarnings("hiding") Token token = new50(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 51: {
                        @SuppressWarnings("hiding") Token token = new51(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 52: {
                        @SuppressWarnings("hiding") Token token = new52(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 53: {
                        @SuppressWarnings("hiding") Token token = new53(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 54: {
                        @SuppressWarnings("hiding") Token token = new54(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 55: {
                        @SuppressWarnings("hiding") Token token = new55(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 56: {
                        @SuppressWarnings("hiding") Token token = new56(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 57: {
                        @SuppressWarnings("hiding") Token token = new57(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 58: {
                        @SuppressWarnings("hiding") Token token = new58(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 59: {
                        @SuppressWarnings("hiding") Token token = new59(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 60: {
                        @SuppressWarnings("hiding") Token token = new60(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 61: {
                        @SuppressWarnings("hiding") Token token = new61(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 62: {
                        @SuppressWarnings("hiding") Token token = new62(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 63: {
                        @SuppressWarnings("hiding") Token token = new63(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 64: {
                        @SuppressWarnings("hiding") Token token = new64(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 65: {
                        @SuppressWarnings("hiding") Token token = new65(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 66: {
                        @SuppressWarnings("hiding") Token token = new66(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 67: {
                        @SuppressWarnings("hiding") Token token = new67(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 68: {
                        @SuppressWarnings("hiding") Token token = new68(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 69: {
                        @SuppressWarnings("hiding") Token token = new69(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 70: {
                        @SuppressWarnings("hiding") Token token = new70(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 71: {
                        @SuppressWarnings("hiding") Token token = new71(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 72: {
                        @SuppressWarnings("hiding") Token token = new72(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 73: {
                        @SuppressWarnings("hiding") Token token = new73(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 74: {
                        @SuppressWarnings("hiding") Token token = new74(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 75: {
                        @SuppressWarnings("hiding") Token token = new75(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 76: {
                        @SuppressWarnings("hiding") Token token = new76(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 77: {
                        @SuppressWarnings("hiding") Token token = new77(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 78: {
                        @SuppressWarnings("hiding") Token token = new78(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 79: {
                        @SuppressWarnings("hiding") Token token = new79(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 80: {
                        @SuppressWarnings("hiding") Token token = new80(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 81: {
                        @SuppressWarnings("hiding") Token token = new81(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 82: {
                        @SuppressWarnings("hiding") Token token = new82(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 83: {
                        @SuppressWarnings("hiding") Token token = new83(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 84: {
                        @SuppressWarnings("hiding") Token token = new84(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 85: {
                        @SuppressWarnings("hiding") Token token = new85(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 86: {
                        @SuppressWarnings("hiding") Token token = new86(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 87: {
                        @SuppressWarnings("hiding") Token token = new87(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 88: {
                        @SuppressWarnings("hiding") Token token = new88(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 89: {
                        @SuppressWarnings("hiding") Token token = new89(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 90: {
                        @SuppressWarnings("hiding") Token token = new90(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 91: {
                        @SuppressWarnings("hiding") Token token = new91(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 92: {
                        @SuppressWarnings("hiding") Token token = new92(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 93: {
                        @SuppressWarnings("hiding") Token token = new93(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 94: {
                        @SuppressWarnings("hiding") Token token = new94(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 95: {
                        @SuppressWarnings("hiding") Token token = new95(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 96: {
                        @SuppressWarnings("hiding") Token token = new96(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 97: {
                        @SuppressWarnings("hiding") Token token = new97(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 98: {
                        @SuppressWarnings("hiding") Token token = new98(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 99: {
                        @SuppressWarnings("hiding") Token token = new99(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 100: {
                        @SuppressWarnings("hiding") Token token = new100(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 101: {
                        @SuppressWarnings("hiding") Token token = new101(
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 102: {
                        @SuppressWarnings("hiding") Token token = new102(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 103: {
                        @SuppressWarnings("hiding") Token token = new103(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 104: {
                        @SuppressWarnings("hiding") Token token = new104(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 105: {
                        @SuppressWarnings("hiding") Token token = new105(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 106: {
                        @SuppressWarnings("hiding") Token token = new106(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 107: {
                        @SuppressWarnings("hiding") Token token = new107(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    case 108: {
                        @SuppressWarnings("hiding") Token token = new108(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                        pushBack(accept_length);
                        this.pos = accept_pos;
                        this.line = accept_line;
                        return token;
                    }
                    }
                } else {
                    if (this.text.length() > 0) {
                        throw new LexerException(
                                "[" + (start_line + 1) + "," + (start_pos + 1) + "]" +
                                        " Unknown token: " + this.text);
                    }

                    @SuppressWarnings("hiding") EOF token = new EOF(
                            start_line + 1,
                            start_pos + 1);
                    return token;
                }
            }
        }
    }

    Token new0(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TWhiteSpace(text, line, pos);
    }

    Token new1(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TTraditionalComment(text, line, pos);
    }

    Token new2(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDocumentationComment(text, line, pos);
    }

    Token new3(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TEndOfLineComment(text, line, pos);
    }

    Token new4(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAssert(line, pos);
    }

    Token new5(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAbstract(line, pos);
    }

    Token new6(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBoolean(line, pos);
    }

    Token new7(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBreak(line, pos);
    }

    Token new8(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TByte(line, pos);
    }

    Token new9(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TCase(line, pos);
    }

    Token new10(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TCatch(line, pos);
    }

    Token new11(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TChar(line, pos);
    }

    Token new12(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TClass(line, pos);
    }

    Token new13(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TConst(line, pos);
    }

    Token new14(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TContinue(line, pos);
    }

    Token new15(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDefault(line, pos);
    }

    Token new16(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDo(line, pos);
    }

    Token new17(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDouble(line, pos);
    }

    Token new18(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TElse(line, pos);
    }

    Token new19(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TExtends(line, pos);
    }

    Token new20(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFinal(line, pos);
    }

    Token new21(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFinally(line, pos);
    }

    Token new22(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFloat(line, pos);
    }

    Token new23(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFor(line, pos);
    }

    Token new24(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TGoto(line, pos);
    }

    Token new25(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TIf(line, pos);
    }

    Token new26(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TImplements(line, pos);
    }

    Token new27(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TImport(line, pos);
    }

    Token new28(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TInstanceof(line, pos);
    }

    Token new29(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TInt(line, pos);
    }

    Token new30(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TInterface(line, pos);
    }

    Token new31(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLong(line, pos);
    }

    Token new32(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TNative(line, pos);
    }

    Token new33(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TNew(line, pos);
    }

    Token new34(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPackage(line, pos);
    }

    Token new35(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPrivate(line, pos);
    }

    Token new36(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TProtected(line, pos);
    }

    Token new37(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPublic(line, pos);
    }

    Token new38(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TReturn(line, pos);
    }

    Token new39(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TShort(line, pos);
    }

    Token new40(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TStatic(line, pos);
    }

    Token new41(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TStrictfp(line, pos);
    }

    Token new42(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSuper(line, pos);
    }

    Token new43(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSwitch(line, pos);
    }

    Token new44(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSynchronized(line, pos);
    }

    Token new45(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TThis(line, pos);
    }

    Token new46(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TThrow(line, pos);
    }

    Token new47(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TThrows(line, pos);
    }

    Token new48(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TTransient(line, pos);
    }

    Token new49(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TTry(line, pos);
    }

    Token new50(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TVoid(line, pos);
    }

    Token new51(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TVolatile(line, pos);
    }

    Token new52(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TWhile(line, pos);
    }

    Token new53(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TTrue(line, pos);
    }

    Token new54(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFalse(line, pos);
    }

    Token new55(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TNull(line, pos);
    }

    Token new56(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLParenthese(line, pos);
    }

    Token new57(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TRParenthese(line, pos);
    }

    Token new58(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLBrace(line, pos);
    }

    Token new59(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TRBrace(line, pos);
    }

    Token new60(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLBracket(line, pos);
    }

    Token new61(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TRBracket(line, pos);
    }

    Token new62(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSemicolon(line, pos);
    }

    Token new63(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TComma(line, pos);
    }

    Token new64(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDot(line, pos);
    }

    Token new65(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAssign(line, pos);
    }

    Token new66(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLt(line, pos);
    }

    Token new67(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TGt(line, pos);
    }

    Token new68(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TComplement(line, pos);
    }

    Token new69(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBitComplement(line, pos);
    }

    Token new70(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TQuestion(line, pos);
    }

    Token new71(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TColon(line, pos);
    }

    Token new72(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TEq(line, pos);
    }

    Token new73(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TLteq(line, pos);
    }

    Token new74(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TGteq(line, pos);
    }

    Token new75(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TNeq(line, pos);
    }

    Token new76(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TAnd(line, pos);
    }

    Token new77(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TOr(line, pos);
    }

    Token new78(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPlusPlus(line, pos);
    }

    Token new79(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TMinusMinus(line, pos);
    }

    Token new80(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPlus(line, pos);
    }

    Token new81(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TMinus(line, pos);
    }

    Token new82(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TStar(line, pos);
    }

    Token new83(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDiv(line, pos);
    }

    Token new84(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBitAnd(line, pos);
    }

    Token new85(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBitOr(line, pos);
    }

    Token new86(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBitXor(line, pos);
    }

    Token new87(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TMod(line, pos);
    }

    Token new88(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TShiftLeft(line, pos);
    }

    Token new89(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSignedShiftRight(line, pos);
    }

    Token new90(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TUnsignedShiftRight(line, pos);
    }

    Token new91(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TPlusAssign(line, pos);
    }

    Token new92(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TMinusAssign(line, pos);
    }

    Token new93(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TStarAssign(line, pos);
    }

    Token new94(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDivAssign(line, pos);
    }

    Token new95(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBitAndAssign(line, pos);
    }

    Token new96(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBitOrAssign(line, pos);
    }

    Token new97(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TBitXorAssign(line, pos);
    }

    Token new98(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TModAssign(line, pos);
    }

    Token new99(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TShiftLeftAssign(line, pos);
    }

    Token new100(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TSignedShiftRightAssign(line, pos);
    }

    Token new101(@SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TUnsignedShiftRightAssign(line, pos);
    }

    Token new102(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TDecimalIntegerLiteral(text, line, pos);
    }

    Token new103(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new THexIntegerLiteral(text, line, pos);
    }

    Token new104(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TOctalIntegerLiteral(text, line, pos);
    }

    Token new105(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TFloatingPointLiteral(text, line, pos);
    }

    Token new106(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TCharacterLiteral(text, line, pos);
    }

    Token new107(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TStringLiteral(text, line, pos);
    }

    Token new108(@SuppressWarnings("hiding")String text, @SuppressWarnings("hiding")int line, @SuppressWarnings("hiding")int pos) {
        return new TIdentifier(text, line, pos);
    }

    private int getChar() throws IOException {
        if (this.eof) {
            return -1;
        }

        int result = this.in.read();

        if (result == -1) {
            this.eof = true;
        }

        return result;
    }

    private void pushBack(int acceptLength) throws IOException {
        int length = this.text.length();
        for (int i = length - 1; i >= acceptLength; i--) {
            this.eof = false;

            this.in.unread(this.text.charAt(i));
        }
    }

    protected void unread(@SuppressWarnings("hiding")Token token) throws IOException {
        @SuppressWarnings("hiding") String text = token.getText();
        int length = text.length();

        for (int i = length - 1; i >= 0; i--) {
            this.eof = false;

            this.in.unread(text.charAt(i));
        }

        this.pos = token.getPos() - 1;
        this.line = token.getLine() - 1;
    }

    private String getText(int acceptLength) {
        StringBuffer s = new StringBuffer(acceptLength);
        for (int i = 0; i < acceptLength; i++) {
            s.append(this.text.charAt(i));
        }

        return s.toString();
    }

    private static int[][][][] gotoTable;
/*  {
        { // INITIAL
            {{9, 9, 1}, {10, 10, 2}, {12, 12, 3}, {13, 13, 4}, {32, 32, 5}, {33, 33, 6}, {34, 34, 7}, {36, 36, 8}, {37, 37, 9}, {38, 38, 10}, {39, 39, 11}, {40, 40, 12}, {41, 41, 13}, {42, 42, 14}, {43, 43, 15}, {44, 44, 16}, {45, 45, 17}, {46, 46, 18}, {47, 47, 19}, {48, 48, 20}, {49, 57, 21}, {58, 58, 22}, {59, 59, 23}, {60, 60, 24}, {61, 61, 25}, {62, 62, 26}, {63, 63, 27}, {65, 90, 28}, {91, 91, 29}, {93, 93, 30}, {94, 94, 31}, {95, 95, 32}, {97, 97, 33}, {98, 98, 34}, {99, 99, 35}, {100, 100, 36}, {101, 101, 37}, {102, 102, 38}, {103, 103, 39}, {104, 104, 40}, {105, 105, 41}, {106, 107, 40}, {108, 108, 42}, {109, 109, 40}, {110, 110, 43}, {111, 111, 40}, {112, 112, 44}, {113, 113, 40}, {114, 114, 45}, {115, 115, 46}, {116, 116, 47}, {117, 117, 40}, {118, 118, 48}, {119, 119, 49}, {120, 122, 40}, {123, 123, 50}, {124, 124, 51}, {125, 125, 52}, {126, 126, 53}, {170, 170, 54}, {181, 181, 55}, {186, 186, 56}, {192, 214, 57}, {216, 246, 58}, {248, 501, 59}, {506, 535, 60}, {592, 680, 61}, {688, 696, 62}, {699, 705, 63}, {720, 721, 64}, {736, 740, 65}, {890, 890, 66}, {902, 902, 67}, {904, 906, 68}, {908, 908, 69}, {910, 929, 70}, {931, 974, 71}, {976, 982, 72}, {986, 986, 73}, {988, 988, 74}, {990, 990, 75}, {992, 992, 76}, {994, 1011, 77}, {1025, 1036, 78}, {1038, 1103, 79}, {1105, 1116, 80}, {1118, 1153, 81}, {1168, 1220, 82}, {1223, 1224, 83}, {1227, 1228, 84}, {1232, 1259, 85}, {1262, 1269, 86}, {1272, 1273, 87}, {1329, 1366, 88}, {1369, 1369, 89}, {1377, 1415, 90}, {1488, 1514, 91}, {1520, 1522, 92}, {1569, 1594, 93}, {1600, 1610, 94}, {1649, 1719, 95}, {1722, 1726, 96}, {1728, 1742, 97}, {1744, 1747, 98}, {1749, 1749, 99}, {1765, 1766, 100}, {2309, 2361, 101}, {2365, 2365, 102}, {2392, 2401, 103}, {2437, 2444, 104}, {2447, 2448, 105}, {2451, 2472, 106}, {2474, 2480, 107}, {2482, 2482, 108}, {2486, 2489, 109}, {2524, 2525, 110}, {2527, 2529, 111}, {2544, 2545, 112}, {2565, 2570, 113}, {2575, 2576, 114}, {2579, 2600, 115}, {2602, 2608, 116}, {2610, 2611, 117}, {2613, 2614, 118}, {2616, 2617, 119}, {2649, 2652, 120}, {2654, 2654, 121}, {2674, 2676, 122}, {2693, 2699, 123}, {2701, 2701, 124}, {2703, 2705, 125}, {2707, 2728, 126}, {2730, 2736, 127}, {2738, 2739, 128}, {2741, 2745, 129}, {2749, 2749, 130}, {2784, 2784, 131}, {2821, 2828, 132}, {2831, 2832, 133}, {2835, 2856, 134}, {2858, 2864, 135}, {2866, 2867, 136}, {2870, 2873, 137}, {2877, 2877, 138}, {2908, 2909, 139}, {2911, 2913, 140}, {2949, 2954, 141}, {2958, 2960, 142}, {2962, 2965, 143}, {2969, 2970, 144}, {2972, 2972, 145}, {2974, 2975, 146}, {2979, 2980, 147}, {2984, 2986, 148}, {2990, 2997, 149}, {2999, 3001, 150}, {3077, 3084, 151}, {3086, 3088, 152}, {3090, 3112, 153}, {3114, 3123, 154}, {3125, 3129, 155}, {3168, 3169, 156}, {3205, 3212, 157}, {3214, 3216, 158}, {3218, 3240, 159}, {3242, 3251, 160}, {3253, 3257, 161}, {3294, 3294, 162}, {3296, 3297, 163}, {3333, 3340, 164}, {3342, 3344, 165}, {3346, 3368, 166}, {3370, 3385, 167}, {3424, 3425, 168}, {3585, 3630, 169}, {3632, 3632, 170}, {3634, 3635, 171}, {3648, 3654, 172}, {3713, 3714, 173}, {3716, 3716, 174}, {3719, 3720, 175}, {3722, 3722, 176}, {3725, 3725, 177}, {3732, 3735, 178}, {3737, 3743, 179}, {3745, 3747, 180}, {3749, 3749, 181}, {3751, 3751, 182}, {3754, 3755, 183}, {3757, 3758, 184}, {3760, 3760, 185}, {3762, 3763, 186}, {3773, 3773, 187}, {3776, 3780, 188}, {3782, 3782, 189}, {3804, 3805, 190}, {3904, 3911, 191}, {3913, 3945, 192}, {4256, 4293, 193}, {4304, 4342, 194}, {4352, 4441, 195}, {4447, 4514, 196}, {4520, 4601, 197}, {7680, 7835, 198}, {7840, 7929, 199}, {7936, 7957, 200}, {7960, 7965, 201}, {7968, 8005, 202}, {8008, 8013, 203}, {8016, 8023, 204}, {8025, 8025, 205}, {8027, 8027, 206}, {8029, 8029, 207}, {8031, 8061, 208}, {8064, 8116, 209}, {8118, 8124, 210}, {8126, 8126, 211}, {8130, 8132, 212}, {8134, 8140, 213}, {8144, 8147, 214}, {8150, 8155, 215}, {8160, 8172, 216}, {8178, 8180, 217}, {8182, 8188, 218}, {8319, 8319, 219}, {8450, 8450, 220}, {8455, 8455, 221}, {8458, 8467, 222}, {8469, 8469, 223}, {8472, 8477, 224}, {8484, 8484, 225}, {8486, 8486, 226}, {8488, 8488, 227}, {8490, 8497, 228}, {8499, 8504, 229}, {12293, 12293, 230}, {12337, 12341, 231}, {12353, 12436, 232}, {12443, 12446, 233}, {12449, 12538, 234}, {12540, 12542, 235}, {12549, 12588, 236}, {12593, 12686, 237}, {19968, 40869, 238}, {44032, 55203, 239}, {63744, 64045, 240}, {64256, 64262, 241}, {64275, 64279, 242}, {64287, 64296, 243}, {64298, 64310, 244}, {64312, 64316, 245}, {64318, 64318, 246}, {64320, 64321, 247}, {64323, 64324, 248}, {64326, 64433, 249}, {64467, 64829, 250}, {64848, 64911, 251}, {64914, 64967, 252}, {65008, 65019, 253}, {65136, 65138, 254}, {65140, 65140, 255}, {65142, 65276, 256}, {65313, 65338, 257}, {65345, 65370, 258}, {65382, 65470, 259}, {65474, 65479, 260}, {65482, 65487, 261}, {65490, 65495, 262}, {65498, 65500, 263}, },
            {{9, 32, -2}, },
            {{9, 32, -2}, },
            {{9, 32, -2}, },
            {{9, 9, 1}, {10, 10, 264}, {12, 32, -2}, },
            {{9, 32, -2}, },
            {{61, 61, 265}, },
            {{0, 9, 266}, {11, 12, 266}, {14, 33, 266}, {34, 34, 267}, {35, 91, 266}, {92, 92, 268}, {93, 65535, 266}, },
            {{36, 36, 269}, {48, 57, 270}, {65, 90, 271}, {95, 95, 272}, {97, 122, 273}, {170, 170, 274}, {181, 181, 275}, {186, 186, 276}, {192, 214, 277}, {216, 246, 278}, {248, 501, 279}, {506, 535, 280}, {592, 680, 281}, {688, 696, 282}, {699, 705, 283}, {720, 721, 284}, {736, 740, 285}, {890, 890, 286}, {902, 902, 287}, {904, 906, 288}, {908, 908, 289}, {910, 929, 290}, {931, 974, 291}, {976, 982, 292}, {986, 986, 293}, {988, 988, 294}, {990, 990, 295}, {992, 992, 296}, {994, 1011, 297}, {1025, 1036, 298}, {1038, 1103, 299}, {1105, 1116, 300}, {1118, 1153, 301}, {1168, 1220, 302}, {1223, 1224, 303}, {1227, 1228, 304}, {1232, 1259, 305}, {1262, 1269, 306}, {1272, 1273, 307}, {1329, 1366, 308}, {1369, 1369, 309}, {1377, 1415, 310}, {1488, 1514, 311}, {1520, 1522, 312}, {1569, 1594, 313}, {1600, 1610, 314}, {1632, 1641, 315}, {1649, 1719, 316}, {1722, 1726, 317}, {1728, 1742, 318}, {1744, 1747, 319}, {1749, 1749, 320}, {1765, 1766, 321}, {1776, 1785, 322}, {2309, 2361, 323}, {2365, 2365, 324}, {2392, 2401, 325}, {2406, 2415, 326}, {2437, 2444, 327}, {2447, 2448, 328}, {2451, 2472, 329}, {2474, 2480, 330}, {2482, 2482, 331}, {2486, 2489, 332}, {2524, 2525, 333}, {2527, 2529, 334}, {2534, 2543, 335}, {2544, 2545, 336}, {2565, 2570, 337}, {2575, 2576, 338}, {2579, 2600, 339}, {2602, 2608, 340}, {2610, 2611, 341}, {2613, 2614, 342}, {2616, 2617, 343}, {2649, 2652, 344}, {2654, 2654, 345}, {2662, 2671, 346}, {2674, 2676, 347}, {2693, 2699, 348}, {2701, 2701, 349}, {2703, 2705, 350}, {2707, 2728, 351}, {2730, 2736, 352}, {2738, 2739, 353}, {2741, 2745, 354}, {2749, 2749, 355}, {2784, 2784, 356}, {2790, 2799, 357}, {2821, 2828, 358}, {2831, 2832, 359}, {2835, 2856, 360}, {2858, 2864, 361}, {2866, 2867, 362}, {2870, 2873, 363}, {2877, 2877, 364}, {2908, 2909, 365}, {2911, 2913, 366}, {2918, 2927, 367}, {2949, 2954, 368}, {2958, 2960, 369}, {2962, 2965, 370}, {2969, 2970, 371}, {2972, 2972, 372}, {2974, 2975, 373}, {2979, 2980, 374}, {2984, 2986, 375}, {2990, 2997, 376}, {2999, 3001, 377}, {3047, 3055, 378}, {3077, 3084, 379}, {3086, 3088, 380}, {3090, 3112, 381}, {3114, 3123, 382}, {3125, 3129, 383}, {3168, 3169, 384}, {3174, 3183, 385}, {3205, 3212, 386}, {3214, 3216, 387}, {3218, 3240, 388}, {3242, 3251, 389}, {3253, 3257, 390}, {3294, 3294, 391}, {3296, 3297, 392}, {3302, 3311, 393}, {3333, 3340, 394}, {3342, 3344, 395}, {3346, 3368, 396}, {3370, 3385, 397}, {3424, 3425, 398}, {3430, 3439, 399}, {3585, 3630, 400}, {3632, 3632, 401}, {3634, 3635, 402}, {3648, 3654, 403}, {3664, 3673, 404}, {3713, 3714, 405}, {3716, 3716, 406}, {3719, 3720, 407}, {3722, 3722, 408}, {3725, 3725, 409}, {3732, 3735, 410}, {3737, 3743, 411}, {3745, 3747, 412}, {3749, 3749, 413}, {3751, 3751, 414}, {3754, 3755, 415}, {3757, 3758, 416}, {3760, 3760, 417}, {3762, 3763, 418}, {3773, 3773, 419}, {3776, 3780, 420}, {3782, 3782, 421}, {3792, 3801, 422}, {3804, 3805, 423}, {3872, 3881, 424}, {3904, 3911, 425}, {3913, 3945, 426}, {4256, 4293, 427}, {4304, 4342, 428}, {4352, 4441, 429}, {4447, 4514, 430}, {4520, 4601, 431}, {7680, 7835, 432}, {7840, 7929, 433}, {7936, 7957, 434}, {7960, 7965, 435}, {7968, 8005, 436}, {8008, 8013, 437}, {8016, 8023, 438}, {8025, 8025, 439}, {8027, 8027, 440}, {8029, 8029, 441}, {8031, 8061, 442}, {8064, 8116, 443}, {8118, 8124, 444}, {8126, 8126, 445}, {8130, 8132, 446}, {8134, 8140, 447}, {8144, 8147, 448}, {8150, 8155, 449}, {8160, 8172, 450}, {8178, 8180, 451}, {8182, 8188, 452}, {8319, 8319, 453}, {8450, 8450, 454}, {8455, 8455, 455}, {8458, 8467, 456}, {8469, 8469, 457}, {8472, 8477, 458}, {8484, 8484, 459}, {8486, 8486, 460}, {8488, 8488, 461}, {8490, 8497, 462}, {8499, 8504, 463}, {12293, 12293, 464}, {12337, 12341, 465}, {12353, 12436, 466}, {12443, 12446, 467}, {12449, 12538, 468}, {12540, 12542, 469}, {12549, 12588, 470}, {12593, 12686, 471}, {19968, 40869, 472}, {44032, 55203, 473}, {63744, 64045, 474}, {64256, 64262, 475}, {64275, 64279, 476}, {64287, 64296, 477}, {64298, 64310, 478}, {64312, 64316, 479}, {64318, 64318, 480}, {64320, 64321, 481}, {64323, 64324, 482}, {64326, 64433, 483}, {64467, 64829, 484}, {64848, 64911, 485}, {64914, 64967, 486}, {65008, 65019, 487}, {65136, 65138, 488}, {65140, 65140, 489}, {65142, 65276, 490}, {65296, 65305, 491}, {65313, 65338, 492}, {65345, 65370, 493}, {65382, 65470, 494}, {65474, 65479, 495}, {65482, 65487, 496}, {65490, 65495, 497}, {65498, 65500, 498}, },
            {{61, 61, 499}, },
            {{38, 38, 500}, {61, 61, 501}, },
            {{0, 9, 502}, {11, 12, 502}, {14, 38, 502}, {40, 91, 502}, {92, 92, 503}, {93, 65535, 502}, },
            {},
            {},
            {{61, 61, 504}, },
            {{43, 43, 505}, {61, 61, 506}, },
            {},
            {{45, 45, 507}, {61, 61, 508}, },
            {{48, 57, 509}, },
            {{42, 42, 510}, {47, 47, 511}, {61, 61, 512}, },
            {{46, 46, 513}, {48, 55, 514}, {56, 57, 515}, {68, 68, 516}, {69, 69, 517}, {70, 70, 518}, {76, 76, 519}, {88, 88, 520}, {100, 100, 521}, {101, 101, 522}, {102, 102, 523}, {108, 108, 524}, {120, 120, 525}, },
            {{46, 46, 513}, {48, 57, 526}, {68, 76, -22}, {100, 108, -22}, },
            {},
            {},
            {{60, 60, 527}, {61, 61, 528}, },
            {{61, 61, 529}, },
            {{61, 61, 530}, {62, 62, 531}, },
            {},
            {{36, 65500, -10}, },
            {},
            {},
            {{61, 61, 532}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 273}, {98, 98, 533}, {99, 114, 273}, {115, 115, 534}, {116, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 110, 273}, {111, 111, 535}, {112, 113, 273}, {114, 114, 536}, {115, 120, 273}, {121, 121, 537}, {122, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 538}, {98, 103, 273}, {104, 104, 539}, {105, 107, 273}, {108, 108, 540}, {109, 110, 273}, {111, 111, 541}, {112, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 100, 273}, {101, 101, 542}, {102, 110, 273}, {111, 111, 543}, {112, 65500, -37}, },
            {{36, 95, -10}, {97, 107, 273}, {108, 108, 544}, {109, 119, 273}, {120, 120, 545}, {121, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 546}, {98, 104, 273}, {105, 105, 547}, {106, 107, 273}, {108, 108, 548}, {109, 110, 273}, {111, 111, 549}, {112, 65500, -37}, },
            {{36, 110, -36}, {111, 111, 550}, {112, 65500, -37}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 101, 273}, {102, 102, 551}, {103, 108, 273}, {109, 109, 552}, {110, 110, 553}, {111, 122, 273}, {170, 65500, -10}, },
            {{36, 110, -36}, {111, 111, 554}, {112, 65500, -37}, },
            {{36, 95, -10}, {97, 97, 555}, {98, 100, 273}, {101, 101, 556}, {102, 116, 273}, {117, 117, 557}, {118, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 558}, {98, 113, 273}, {114, 114, 559}, {115, 116, 273}, {117, 117, 560}, {118, 65500, -45}, },
            {{36, 100, -38}, {101, 101, 561}, {102, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 103, 273}, {104, 104, 562}, {105, 115, 273}, {116, 116, 563}, {117, 117, 564}, {118, 118, 273}, {119, 119, 565}, {120, 120, 273}, {121, 121, 566}, {122, 65500, -36}, },
            {{36, 103, -48}, {104, 104, 567}, {105, 113, 273}, {114, 114, 568}, {115, 122, 273}, {170, 65500, -10}, },
            {{36, 110, -36}, {111, 111, 569}, {112, 65500, -37}, },
            {{36, 103, -48}, {104, 104, 570}, {105, 122, 273}, {170, 65500, -10}, },
            {},
            {{61, 61, 571}, {124, 124, 572}, },
            {},
            {},
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{9, 32, -2}, },
            {},
            {{0, 65535, -9}, },
            {},
            {{34, 34, 573}, {39, 39, 574}, {48, 51, 575}, {52, 55, 576}, {92, 92, 577}, {98, 98, 578}, {102, 102, 579}, {110, 110, 580}, {114, 114, 581}, {116, 116, 582}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {},
            {},
            {},
            {{39, 39, 583}, },
            {{34, 34, 584}, {39, 39, 585}, {48, 51, 586}, {52, 55, 587}, {92, 92, 588}, {98, 98, 589}, {102, 102, 590}, {110, 110, 591}, {114, 114, 592}, {116, 116, 593}, },
            {},
            {},
            {},
            {},
            {},
            {{48, 57, 509}, {68, 68, 594}, {69, 69, 595}, {70, 70, 596}, {100, 100, 597}, {101, 101, 598}, {102, 102, 599}, },
            {{0, 9, 600}, {10, 10, 601}, {11, 12, 600}, {13, 13, 602}, {14, 41, 600}, {42, 42, 603}, {43, 65535, 600}, },
            {{0, 9, 604}, {10, 10, 605}, {11, 12, 604}, {13, 13, 606}, {14, 65535, 604}, },
            {},
            {{48, 57, 607}, {68, 68, 608}, {69, 69, 609}, {70, 70, 610}, {100, 100, 611}, {101, 101, 612}, {102, 102, 613}, },
            {{46, 70, -22}, {76, 76, 614}, {100, 102, -22}, {108, 108, 615}, },
            {{46, 46, 513}, {48, 57, 515}, {68, 70, -22}, {100, 102, -22}, },
            {},
            {{43, 43, 616}, {45, 45, 617}, {48, 57, 618}, },
            {},
            {},
            {{48, 57, 619}, {65, 70, 620}, {97, 102, 621}, },
            {},
            {{43, 57, -519}, },
            {},
            {},
            {{48, 102, -522}, },
            {{46, 108, -23}, },
            {{61, 61, 622}, },
            {},
            {},
            {},
            {{61, 61, 623}, {62, 62, 624}, },
            {},
            {{36, 95, -10}, {97, 114, 273}, {115, 115, 625}, {116, 65500, -35}, },
            {{36, 114, -535}, {115, 115, 626}, {116, 65500, -35}, },
            {{36, 110, -36}, {111, 111, 627}, {112, 65500, -37}, },
            {{36, 100, -38}, {101, 101, 628}, {102, 65500, -47}, },
            {{36, 95, -10}, {97, 115, 273}, {116, 116, 629}, {117, 122, 273}, {170, 65500, -10}, },
            {{36, 114, -535}, {115, 115, 630}, {116, 116, 631}, {117, 65500, -539}, },
            {{36, 95, -10}, {97, 97, 632}, {98, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 633}, {98, 65500, -541}, },
            {{36, 95, -10}, {97, 109, 273}, {110, 110, 634}, {111, 65500, -43}, },
            {{36, 101, -43}, {102, 102, 635}, {103, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 116, 273}, {117, 117, 636}, {118, 65500, -45}, },
            {{36, 114, -535}, {115, 115, 637}, {116, 65500, -35}, },
            {{36, 115, -539}, {116, 116, 638}, {117, 65500, -539}, },
            {{36, 107, -39}, {108, 108, 639}, {109, 122, 273}, {170, 65500, -10}, },
            {{36, 109, -543}, {110, 110, 640}, {111, 65500, -43}, },
            {{36, 110, -36}, {111, 111, 641}, {112, 65500, -37}, },
            {{36, 95, -10}, {97, 113, 273}, {114, 114, 642}, {115, 65500, -49}, },
            {{36, 115, -539}, {116, 116, 643}, {117, 65500, -539}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 111, 273}, {112, 112, 644}, {113, 122, 273}, {170, 65500, -10}, },
            {{36, 114, -535}, {115, 115, 645}, {116, 116, 646}, {117, 65500, -539}, },
            {{36, 109, -543}, {110, 110, 647}, {111, 65500, -43}, },
            {{36, 115, -539}, {116, 116, 648}, {117, 65500, -539}, },
            {{36, 95, -10}, {97, 118, 273}, {119, 119, 649}, {120, 122, 273}, {170, 65500, -10}, },
            {{36, 107, -39}, {108, 108, 650}, {109, 65500, -548}, },
            {{36, 95, -10}, {97, 98, 273}, {99, 99, 651}, {100, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 104, 273}, {105, 105, 652}, {106, 110, 273}, {111, 111, 653}, {112, 65500, -37}, },
            {{36, 97, -35}, {98, 98, 654}, {99, 122, 273}, {170, 65500, -10}, },
            {{36, 115, -539}, {116, 116, 655}, {117, 65500, -539}, },
            {{36, 110, -36}, {111, 111, 656}, {112, 65500, -37}, },
            {{36, 95, -10}, {97, 97, 657}, {98, 113, 273}, {114, 114, 658}, {115, 65500, -49}, },
            {{36, 111, -554}, {112, 112, 659}, {113, 65500, -554}, },
            {{36, 104, -561}, {105, 105, 660}, {106, 122, 273}, {170, 65500, -10}, },
            {{36, 109, -543}, {110, 110, 661}, {111, 65500, -43}, },
            {{36, 104, -561}, {105, 105, 662}, {106, 113, 273}, {114, 114, 663}, {115, 65500, -49}, },
            {{36, 95, -10}, {97, 97, 664}, {98, 116, 273}, {117, 117, 665}, {118, 120, 273}, {121, 121, 666}, {122, 65500, -36}, },
            {{36, 104, -561}, {105, 105, 667}, {106, 107, 273}, {108, 108, 668}, {109, 65500, -548}, },
            {{36, 104, -561}, {105, 105, 669}, {106, 65500, -567}, },
            {},
            {},
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 34, -9}, {35, 47, 266}, {48, 55, 670}, {56, 91, 266}, {92, 65535, -9}, },
            {{0, 47, -577}, {48, 55, 671}, {56, 65535, -577}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {},
            {{39, 39, 583}, },
            {{39, 39, 583}, },
            {{39, 39, 583}, {48, 55, 672}, },
            {{39, 39, 583}, {48, 55, 673}, },
            {{39, 39, 583}, },
            {{39, 39, 583}, },
            {{39, 39, 583}, },
            {{39, 39, 583}, },
            {{39, 39, 583}, },
            {{39, 39, 583}, },
            {},
            {{43, 43, 674}, {45, 45, 675}, {48, 57, 676}, },
            {},
            {},
            {{43, 57, -597}, },
            {},
            {{0, 41, -512}, {42, 42, 677}, {43, 65535, 600}, },
            {{0, 65535, -602}, },
            {{0, 9, 600}, {10, 10, 678}, {11, 65535, -602}, },
            {{0, 9, 679}, {10, 10, 680}, {11, 12, 679}, {13, 13, 681}, {14, 41, 679}, {42, 42, 682}, {43, 46, 679}, {47, 47, 683}, {48, 65535, 679}, },
            {{0, 65535, -513}, },
            {},
            {{10, 10, 684}, },
            {{48, 102, -515}, },
            {},
            {{43, 43, 685}, {45, 45, 686}, {48, 57, 687}, },
            {},
            {},
            {{43, 57, -611}, },
            {},
            {},
            {},
            {{48, 57, 618}, },
            {{48, 57, 618}, },
            {{48, 57, 618}, {68, 68, 688}, {70, 70, 689}, {100, 100, 690}, {102, 102, 691}, },
            {{48, 70, -522}, {76, 76, 692}, {97, 102, 621}, {108, 108, 693}, },
            {{48, 108, -621}, },
            {{48, 108, -621}, },
            {},
            {},
            {{61, 61, 694}, },
            {{36, 115, -539}, {116, 116, 695}, {117, 65500, -539}, },
            {{36, 100, -38}, {101, 101, 696}, {102, 65500, -47}, },
            {{36, 107, -39}, {108, 108, 697}, {109, 65500, -548}, },
            {{36, 95, -10}, {97, 97, 698}, {98, 65500, -541}, },
            {{36, 100, -38}, {101, 101, 699}, {102, 65500, -47}, },
            {{36, 100, -38}, {101, 101, 700}, {102, 65500, -47}, },
            {{36, 98, -560}, {99, 99, 701}, {100, 65500, -560}, },
            {{36, 113, -551}, {114, 114, 702}, {115, 65500, -49}, },
            {{36, 114, -535}, {115, 115, 703}, {116, 65500, -35}, },
            {{36, 114, -535}, {115, 115, 704}, {116, 116, 705}, {117, 65500, -539}, },
            {{36, 95, -10}, {97, 97, 706}, {98, 65500, -541}, },
            {{36, 97, -35}, {98, 98, 707}, {99, 65500, -562}, },
            {{36, 100, -38}, {101, 101, 708}, {102, 65500, -47}, },
            {{36, 100, -38}, {101, 101, 709}, {102, 65500, -47}, },
            {{36, 114, -535}, {115, 115, 710}, {116, 65500, -35}, },
            {{36, 95, -10}, {97, 97, 711}, {98, 65500, -541}, },
            {{36, 95, -10}, {97, 97, 712}, {98, 65500, -541}, },
            {{36, 65500, -10}, },
            {{36, 110, -36}, {111, 111, 713}, {112, 65500, -37}, },
            {{36, 107, -39}, {108, 108, 714}, {109, 110, 273}, {111, 111, 715}, {112, 65500, -37}, },
            {{36, 115, -539}, {116, 116, 716}, {117, 65500, -539}, },
            {{36, 100, -38}, {101, 101, 717}, {102, 65500, -47}, },
            {{36, 95, -10}, {97, 102, 273}, {103, 103, 718}, {104, 122, 273}, {170, 65500, -10}, },
            {{36, 104, -561}, {105, 105, 719}, {106, 65500, -567}, },
            {{36, 65500, -10}, },
            {{36, 107, -39}, {108, 108, 720}, {109, 65500, -548}, },
            {{36, 95, -10}, {97, 106, 273}, {107, 107, 721}, {108, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 117, 273}, {118, 118, 722}, {119, 122, 273}, {170, 65500, -10}, },
            {{36, 115, -539}, {116, 116, 723}, {117, 65500, -539}, },
            {{36, 107, -39}, {108, 108, 724}, {109, 65500, -548}, },
            {{36, 116, -545}, {117, 117, 725}, {118, 65500, -45}, },
            {{36, 113, -551}, {114, 114, 726}, {115, 65500, -49}, },
            {{36, 115, -539}, {116, 116, 727}, {117, 65500, -539}, },
            {{36, 104, -561}, {105, 105, 728}, {106, 65500, -567}, },
            {{36, 100, -38}, {101, 101, 729}, {102, 65500, -47}, },
            {{36, 115, -539}, {116, 116, 730}, {117, 65500, -539}, },
            {{36, 98, -560}, {99, 99, 731}, {100, 65500, -560}, },
            {{36, 114, -535}, {115, 115, 732}, {116, 65500, -35}, },
            {{36, 110, -36}, {111, 111, 733}, {112, 65500, -37}, },
            {{36, 109, -543}, {110, 110, 734}, {111, 65500, -43}, },
            {{36, 100, -38}, {101, 101, 735}, {102, 65500, -47}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 99, 273}, {100, 100, 736}, {101, 122, 273}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 737}, {98, 65500, -541}, },
            {{36, 107, -39}, {108, 108, 738}, {109, 65500, -548}, },
            {{0, 47, -577}, {48, 55, 739}, {56, 65535, -577}, },
            {{0, 65535, -9}, },
            {{39, 39, 583}, {48, 55, 740}, },
            {{39, 39, 583}, },
            {{48, 57, 676}, },
            {{48, 57, 676}, },
            {{48, 57, 676}, {68, 68, 594}, {70, 100, -511}, {102, 102, 599}, },
            {{0, 9, 741}, {10, 10, 742}, {11, 12, 741}, {13, 13, 743}, {14, 41, 741}, {42, 42, 677}, {43, 46, 741}, {47, 47, 744}, {48, 65535, 741}, },
            {{0, 65535, -602}, },
            {{0, 9, 745}, {10, 10, 746}, {11, 12, 745}, {13, 13, 747}, {14, 41, 745}, {42, 42, 748}, {43, 65535, 745}, },
            {{0, 65535, -681}, },
            {{0, 9, 745}, {10, 10, 749}, {11, 65535, -681}, },
            {{0, 65535, -605}, },
            {},
            {},
            {{48, 57, 687}, },
            {{48, 57, 687}, },
            {{48, 57, 687}, {68, 68, 608}, {70, 100, -515}, {102, 102, 613}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{36, 113, -551}, {114, 114, 750}, {115, 65500, -49}, },
            {{36, 113, -551}, {114, 114, 751}, {115, 65500, -49}, },
            {{36, 100, -38}, {101, 101, 752}, {102, 65500, -47}, },
            {{36, 106, -653}, {107, 107, 753}, {108, 65500, -653}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 103, -48}, {104, 104, 754}, {105, 65500, -51}, },
            {{36, 65500, -10}, },
            {{36, 114, -535}, {115, 115, 755}, {116, 65500, -35}, },
            {{36, 115, -539}, {116, 116, 756}, {117, 65500, -539}, },
            {{36, 104, -561}, {105, 105, 757}, {106, 65500, -567}, },
            {{36, 116, -545}, {117, 117, 758}, {118, 65500, -45}, },
            {{36, 107, -39}, {108, 108, 759}, {109, 65500, -548}, },
            {{36, 65500, -10}, },
            {{36, 109, -543}, {110, 110, 760}, {111, 65500, -43}, },
            {{36, 100, -38}, {101, 101, 761}, {102, 65500, -47}, },
            {{36, 107, -39}, {108, 108, 762}, {109, 65500, -548}, },
            {{36, 115, -539}, {116, 116, 763}, {117, 65500, -539}, },
            {{36, 65500, -10}, },
            {{36, 100, -38}, {101, 101, 764}, {102, 65500, -47}, },
            {{36, 113, -551}, {114, 114, 765}, {115, 65500, -49}, },
            {{36, 95, -10}, {97, 97, 766}, {98, 65500, -541}, },
            {{36, 113, -551}, {114, 114, 767}, {115, 65500, -49}, },
            {{36, 65500, -10}, },
            {{36, 117, -654}, {118, 118, 768}, {119, 65500, -654}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 769}, {98, 65500, -541}, },
            {{36, 95, -10}, {97, 97, 770}, {98, 65500, -541}, },
            {{36, 100, -38}, {101, 101, 771}, {102, 65500, -47}, },
            {{36, 104, -561}, {105, 105, 772}, {106, 65500, -567}, },
            {{36, 113, -551}, {114, 114, 773}, {115, 65500, -49}, },
            {{36, 115, -539}, {116, 116, 774}, {117, 65500, -539}, },
            {{36, 104, -561}, {105, 105, 775}, {106, 65500, -567}, },
            {{36, 98, -560}, {99, 99, 776}, {100, 65500, -560}, },
            {{36, 113, -551}, {114, 114, 777}, {115, 65500, -49}, },
            {{36, 98, -560}, {99, 99, 778}, {100, 65500, -560}, },
            {{36, 103, -48}, {104, 104, 779}, {105, 65500, -51}, },
            {{36, 65500, -10}, },
            {{36, 118, -558}, {119, 119, 780}, {120, 65500, -558}, },
            {{36, 114, -535}, {115, 115, 781}, {116, 65500, -35}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 115, -539}, {116, 116, 782}, {117, 65500, -539}, },
            {{36, 100, -38}, {101, 101, 783}, {102, 65500, -47}, },
            {{0, 65535, -9}, },
            {{39, 39, 583}, },
            {{0, 9, 784}, {10, 10, 785}, {11, 12, 784}, {13, 13, 786}, {14, 41, 784}, {42, 42, 787}, {43, 65535, 784}, },
            {{0, 65535, -743}, },
            {{0, 9, 784}, {10, 10, 788}, {11, 65535, -743}, },
            {},
            {{0, 65535, -681}, },
            {{0, 65535, -681}, },
            {{0, 9, 745}, {10, 10, 789}, {11, 65535, -681}, },
            {{0, 41, -605}, {42, 42, 748}, {43, 65535, -605}, },
            {{0, 65535, -681}, },
            {{36, 95, -10}, {97, 97, 790}, {98, 65500, -541}, },
            {{36, 115, -539}, {116, 116, 791}, {117, 65500, -539}, },
            {{36, 95, -10}, {97, 97, 792}, {98, 65500, -541}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 109, -543}, {110, 110, 793}, {111, 65500, -43}, },
            {{36, 107, -39}, {108, 108, 794}, {109, 65500, -548}, },
            {{36, 100, -38}, {101, 101, 795}, {102, 65500, -47}, },
            {{36, 99, -669}, {100, 100, 796}, {101, 65500, -669}, },
            {{36, 65500, -10}, },
            {{36, 107, -39}, {108, 108, 797}, {109, 65500, -548}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 108, 273}, {109, 109, 798}, {110, 122, 273}, {170, 65500, -10}, },
            {{36, 115, -539}, {116, 116, 799}, {117, 65500, -539}, },
            {{36, 109, -543}, {110, 110, 800}, {111, 65500, -43}, },
            {{36, 101, -43}, {102, 102, 801}, {103, 65500, -544}, },
            {{36, 100, -38}, {101, 101, 802}, {102, 65500, -47}, },
            {{36, 102, -649}, {103, 103, 803}, {104, 65500, -649}, },
            {{36, 115, -539}, {116, 116, 804}, {117, 65500, -539}, },
            {{36, 98, -560}, {99, 99, 805}, {100, 65500, -560}, },
            {{36, 98, -560}, {99, 99, 806}, {100, 65500, -560}, },
            {{36, 109, -543}, {110, 110, 807}, {111, 65500, -43}, },
            {{36, 65500, -10}, },
            {{36, 98, -560}, {99, 99, 808}, {100, 65500, -560}, },
            {{36, 115, -539}, {116, 116, 809}, {117, 65500, -539}, },
            {{36, 65500, -10}, },
            {{36, 103, -48}, {104, 104, 810}, {105, 65500, -51}, },
            {{36, 113, -551}, {114, 114, 811}, {115, 65500, -49}, },
            {{36, 114, -535}, {115, 115, 812}, {116, 65500, -35}, },
            {{36, 104, -561}, {105, 105, 813}, {106, 65500, -567}, },
            {{36, 104, -561}, {105, 105, 814}, {106, 65500, -567}, },
            {{36, 65500, -10}, },
            {{0, 65535, -743}, },
            {{0, 65535, -743}, },
            {{0, 9, 784}, {10, 10, 815}, {11, 65535, -743}, },
            {{0, 41, -679}, {42, 42, 787}, {43, 65535, -679}, },
            {{0, 65535, -743}, },
            {{0, 65535, -681}, },
            {{36, 98, -560}, {99, 99, 816}, {100, 65500, -560}, },
            {{36, 65500, -10}, },
            {{36, 109, -543}, {110, 110, 817}, {111, 65500, -43}, },
            {{36, 116, -545}, {117, 117, 818}, {118, 65500, -45}, },
            {{36, 115, -539}, {116, 116, 819}, {117, 65500, -539}, },
            {{36, 65500, -10}, },
            {{36, 114, -535}, {115, 115, 820}, {116, 65500, -35}, },
            {{36, 95, -10}, {97, 120, 273}, {121, 121, 821}, {122, 65500, -36}, },
            {{36, 100, -38}, {101, 101, 822}, {102, 65500, -47}, },
            {{36, 65500, -10}, },
            {{36, 98, -560}, {99, 99, 823}, {100, 65500, -560}, },
            {{36, 95, -10}, {97, 97, 824}, {98, 65500, -541}, },
            {{36, 65500, -10}, },
            {{36, 100, -38}, {101, 101, 825}, {102, 65500, -47}, },
            {{36, 100, -38}, {101, 101, 826}, {102, 65500, -47}, },
            {{36, 115, -539}, {116, 116, 827}, {117, 65500, -539}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 101, -43}, {102, 102, 828}, {103, 65500, -544}, },
            {{36, 65500, -10}, },
            {{36, 110, -36}, {111, 111, 829}, {112, 65500, -37}, },
            {{36, 65500, -10}, },
            {{36, 100, -38}, {101, 101, 830}, {102, 65500, -47}, },
            {{36, 107, -39}, {108, 108, 831}, {109, 65500, -548}, },
            {{0, 65535, -743}, },
            {{36, 115, -539}, {116, 116, 832}, {117, 65500, -539}, },
            {{36, 65500, -10}, },
            {{36, 100, -38}, {101, 101, 833}, {102, 65500, -47}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 109, -543}, {110, 110, 834}, {111, 65500, -43}, },
            {{36, 100, -38}, {101, 101, 835}, {102, 65500, -47}, },
            {{36, 98, -560}, {99, 99, 836}, {100, 65500, -560}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 100, -38}, {101, 101, 837}, {102, 65500, -47}, },
            {{36, 111, -554}, {112, 112, 838}, {113, 65500, -554}, },
            {{36, 109, -543}, {110, 110, 839}, {111, 65500, -43}, },
            {{36, 109, -543}, {110, 110, 840}, {111, 65500, -43}, },
            {{36, 100, -38}, {101, 101, 841}, {102, 65500, -47}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 115, -539}, {116, 116, 842}, {117, 65500, -539}, },
            {{36, 110, -36}, {111, 111, 843}, {112, 65500, -37}, },
            {{36, 100, -38}, {101, 101, 844}, {102, 65500, -47}, },
            {{36, 99, -669}, {100, 100, 845}, {101, 65500, -669}, },
            {{36, 65500, -10}, },
            {{36, 104, -561}, {105, 105, 846}, {106, 65500, -567}, },
            {{36, 115, -539}, {116, 116, 847}, {117, 65500, -539}, },
            {{36, 65500, -10}, },
            {{36, 114, -535}, {115, 115, 848}, {116, 65500, -35}, },
            {{36, 101, -43}, {102, 102, 849}, {103, 65500, -544}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 121, 273}, {122, 122, 850}, {170, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 100, -38}, {101, 101, 851}, {102, 65500, -47}, },
            {{36, 99, -669}, {100, 100, 852}, {101, 65500, -669}, },
            {{36, 65500, -10}, },
        }
    };*/

    private static int[][] accept;
/*  {
        // INITIAL
        {0, 0, 0, 0, 0, 0, 68, -1, 108, 87, 84, -1, 56, 57, 82, 80, 63, 81, 64, 83, 102, 102, 71, 62, 66, 65, 67, 70, 108, 60, 61, 86, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 58, 85, 59, 69, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 0, 75, -1, 107, -1, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 98, 76, 95, -1, -1, 93, 78, 91, 79, 92, 105, -1, 3, 94, 105, 104, -1, 105, -1, 105, 102, -1, 105, -1, 105, 102, -1, 102, 88, 73, 72, 74, 89, 97, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 16, 108, 108, 108, 108, 108, 108, 108, 25, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 96, 77, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 106, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 105, -1, 105, 105, -1, 105, -1, -1, -1, -1, 3, 3, 3, 105, 105, -1, 105, 105, -1, 105, 104, 104, -1, -1, 105, 103, 103, 103, 99, 100, 90, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 23, 108, 108, 108, 29, 108, 108, 33, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 49, 108, 108, 108, -1, -1, -1, -1, -1, -1, 105, -1, -1, -1, -1, -1, -1, 2, 3, -1, -1, 105, 105, 105, 105, 105, 103, 103, 101, 108, 108, 108, 108, 8, 9, 108, 11, 108, 108, 108, 108, 108, 18, 108, 108, 108, 108, 24, 108, 108, 108, 108, 31, 108, 55, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 45, 108, 108, 53, 50, 108, 108, -1, -1, -1, -1, -1, 1, -1, -1, -1, -1, -1, 108, 108, 108, 7, 10, 12, 13, 108, 108, 108, 108, 54, 20, 22, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 39, 108, 108, 42, 108, 108, 46, 108, 108, 52, -1, -1, -1, -1, -1, -1, 108, 4, 108, 108, 108, 17, 108, 108, 108, 27, 108, 108, 32, 108, 108, 108, 37, 38, 40, 108, 43, 108, 47, 108, 108, -1, 108, 6, 108, 15, 19, 21, 108, 108, 108, 34, 35, 108, 108, 108, 108, 108, 5, 14, 108, 108, 108, 108, 41, 108, 108, 51, 108, 108, 30, 36, 108, 48, 26, 28, 108, 108, 44, },

    };*/

    public static class State {
        public final static State INITIAL = new State(0);

        private int id;

        private State(@SuppressWarnings("hiding")int id) {
            this.id = id;
        }

        public int id() {
            return this.id;
        }
    }

    static {
        try {
            DataInputStream s = new DataInputStream(
                    new BufferedInputStream(
                            Lexer.class.getResourceAsStream("lexer.dat")));

            // read gotoTable
            int length = s.readInt();
            gotoTable = new int[length][][][];
            for (int i = 0; i < gotoTable.length; i++) {
                length = s.readInt();
                gotoTable[i] = new int[length][][];
                for (int j = 0; j < gotoTable[i].length; j++) {
                    length = s.readInt();
                    gotoTable[i][j] = new int[length][3];
                    for (int k = 0; k < gotoTable[i][j].length; k++) {
                        for (int l = 0; l < 3; l++) {
                            gotoTable[i][j][k][l] = s.readInt();
                        }
                    }
                }
            }

            // read accept
            length = s.readInt();
            accept = new int[length][];
            for (int i = 0; i < accept.length; i++) {
                length = s.readInt();
                accept[i] = new int[length];
                for (int j = 0; j < accept[i].length; j++) {
                    accept[i][j] = s.readInt();
                }
            }

            s.close();
        }
        catch (Exception e) {
            throw new RuntimeException("The file \"lexer.dat\" is either missing or corrupted.");
        }
    }
}
