package ru.amse.baltijsky.javascheme.tree;

import ru.amse.baltijsky.javascheme.nodeshape.INodeShape;
import ru.amse.baltijsky.javascheme.nodeshape.NoShape;

/**
 * A node that represents an unnamed block, ie. a bunch of statements enclosed by braces: { [code] }
 */
public class BlockNode extends NestingNode {
    public BlockNode() {
        super();
    }

    public BlockNode(SchemaNode parentNode, SchemaNode prevNode) {
        super(parentNode, prevNode);
    }

    public BlockNode(SchemaNode parentNode, SchemaNode prevNode, String[] s) {
        super(parentNode, prevNode, s);
    }

    public BlockNode(String[] s) {
        super(s);
    }

    public NodeType getNodeType() {
        return NodeType.BLOCK;
    }

    public INodeShape getShape() {
        return new NoShape();
    }
}
